package Visual_DVM_2021.PassStats;
import Common.Database.Tables.DBTable;
import Common.Passes.PassCode_;

import java.util.Vector;
public class PassStatsDBTable extends DBTable<String, PassStats> {
    public PassStatsDBTable() {
        super(String.class, PassStats.class);
    }
    @Override
    public String getSingleDescription() {
        return "статистика выполнения прохода";
    }
    public void IncPassStat(PassCode_ code) throws Exception {
        String code_s = code.toString();
        PassStats passStats = null;
        if (Data.containsKey(code_s)) {
            passStats = Data.get(code_s);
            passStats.Inc();
            getDb().Update(passStats);
        } else {
            passStats = new PassStats(code_s);
            passStats.Inc();
            getDb().Insert(passStats);
        }
    }

}
